<template>
  <!-- Банер -->
  <div
    class="banner"
    v-if="this.homeResponse.banner !== undefined"
    :style="{ backgroundImage: 'url(' + this.homeResponse.banner.url + ')' }">
    <n-button
      type="primary"
      class="banner__btn"
      @click="modalSettings.show = true">Посмотреть событие</n-button>
  </div>
  <!-- Модальное окно -->
  <Modal
    class="modal_custom"
    preset="card"
    :modalSettings=modalSettings
    :modalData=modalResponse
    v-on:successEmit="successFunction"
    v-on:cancelEmit="cancelFunction"
    />
</template>

<script>
  import {mapGetters} from "vuex";
  import Modal from "../components/Modal.vue";

  export default {
    name: 'Home',
    components: {
      Modal,
    },
    data () {
      return {
        modalSettings: {
          show: false, // Состояние попапа
          width: 600 // Вариативная ширина попапа
        }
      }
    },
    computed: {
      ...mapGetters(["homeResponse", "modalResponse"]),
    },
    methods:{
      // Метод согласия в попапе
      successFunction(text){
        alert(text);
      },
      // Метод закрытия попапа
      cancelFunction(text){
        alert(text);
      },
    },
    mounted() {
      this.$store.dispatch("homeResponse"); // Получание данных для банера
      this.$store.dispatch("modalResponse"); // Получание данных для модального окна
    },
  };
</script>
<style lang="sass" scoped>
  /* Стилизация банера */
  .banner
    height: 100vh
    width: 100%
    background-position: center
    background-size: cover
    background-repeat: no-repeat
    display: flex
    justify-content: center
    align-items: center
</style>

